Subject: Re: 23.0.60; To source or not to source (from help)

From: Chong Yidong <[email-masked]>
Date: Tue, 12 Aug 2008 15:10:16 -0400

> > We can consistently try to go to the compile directory or to the
> > install directory first, whatever people want.  A problem with the
> > former approach is that the definition might not be there any more,
> > e.g., after a fresh checkout.  That's why I would probably prefer
> > the latter.
>
> I would suggest something like this:
>
> - A variable to decide where to go
> - Possibly there should be a separate variable for the src tree
> - If not possible to go there:
>   * If no other choice then give an error
>   * Otherwise ask user wether to go to the other place
>     (checkout/install)

Let's not introduce any new variables at this point.  We can revisit
this issue after the release, but I'm not convinced that it's useful to
enough people to add variables for controlling this behavior.  People
who care enough about this can write their own advice.

Martin, could you change the trunk to do what you suggested
(i.e. checking the install directory first)?  Thanks.